services:
  strapi:
    build:
      context: .
      dockerfile: Dockerfile
      target: production
    container_name: ambassador-cms
    restart: unless-stopped
    env_file: .env
    environment:
      DATABASE_CLIENT: sqlite
      DATABASE_FILENAME: .tmp/data.db
    ports:
      - "${PORT:-9002}:9002"
    volumes:
      - ./public/uploads:/app/public/uploads
      - ./.tmp:/app/.tmp
